# Recurring Gifts

Recurring Gifts

 - [GET /recurringGifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgifts.md): This method will scan all recurring gifts and and return them to the caller.
 - [POST /recurringGifts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/createrecurringgift.md): This method will auto-generate an ID and create a new recurring gift. If an ID is specified for the recurring gift, an error will be thrown.
 - [POST /recurringGifts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /recurringGifts/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgiftsbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /recurringGifts/{tenantId}/donor/{donor_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listgiftsbydonorid.md): Returns a list of records with the specified donor_id
 - [GET /recurringGifts/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/listrecurringgiftsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [POST /recurringGifts/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/searchforrecurringgifts.md): Searches for recurring gifts using predefined parameters
 - [DELETE /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/deleterecurringgift.md): This method will delete a recurring gift with the specified ID.
 - [GET /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/getrecurringgift.md): This method will look up a recurring gift by the specified ID and return it back.
 - [PATCH /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/patchrecurringgift.md): This method will patch an existing recurring gift with the specified ID, using the HTTP PATCH specification.
 - [PUT /recurringGifts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/recurring-gifts/updaterecurringgift.md): This method will update an existing recurring gift with the specified ID.
